#----------------------------------------------------------------------------
# This implements a little command which just sets marks in the output
# stream. This is for experimenting with client communications schemes.
#
# Mark Koennecke, May 1999
#-----------------------------------------------------------------------------

proc transact { key } {
     set keyy [string tolower $key]
     if {[string compare $keyy "start"] == 0 } {
         ClientPut "TRANSACTSTART"
         return
     } 
     if {[string compare $keyy "end"] == 0 } {
         ClientPut "TRANSACTEND"
         return
     } 
     ClientPut "ERROR: Transact understands only start and end"
     return;
}
